Bug 207976 - please provide default wallpaper for dark colors scheme
Summary: please provide default wallpaper for dark colors scheme
Status: RESOLVED FIXED
Alias: None
Product: Plasma Workspace Wallpapers
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Unspecified
: NOR wishlist
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-20 15:23 UTC by Maciej Pilichowski
Modified: 2022-06-14 01:22 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2009-09-20 15:23:49 UTC
Version:            (using KDE 4.3.0)
Installed from:    SuSE RPMs

Initial remarks.
1. If the product is incorrect, than sorry, it looked like closest match for me.
2. This is no aesthetic issue, it is a11y issue.


KDE provide several color schemes by default, most of them are dark-on-light, but there are two opposite. For them the default wallpaper does not match, because it is generally very light.

The problem: this wallpaper is used as welcome screen in quite many apps -- KDE (as wallpaper), Akregator, Konqueror, System settings just to name few. When the user launches such app she/he gets the effect of screen exploding of colors (because of the switch from dark theme to light). Not very pleasent for eyes, which is significant with larger screens.

Thus, the wish -- even simple shift of colors from light to dark would be much suitable. The only thing missing in KDE (I guess) is ability to switch wallpaper (if default!) accordingly to color switch scheme.

If it is useful, I could attach such wallpaper with color palette shifted (and hope Nuno won't faint when seeing my changes ;-) ).
Comment 1 Christophe Giboudeaux 2009-09-20 15:44:36 UTC
Reassign to kdelibs/kdeui.

The blue wallpaper was introduced in r979031 and only fits with the default KDE settings.
Comment 2 Maciej Pilichowski 2009-09-21 07:23:18 UTC
Correction.

Was:
"The only thing missing in KDE (I guess) is ability to switch
wallpaper (if default!) accordingly to color switch scheme."

Should be:
"The only thing missing in KDE (I guess) is ability to switch
welcome screen background in apps accordingly to color switch scheme."

Wallpaper used in KDE can be intact -- this simplify logic of switching the color scheme -- the important thing is apps change the welcome screen.
Comment 3 Fushan Wen 2021-12-04 14:03:38 UTC
There could be wallpapers designed for LTS releases, both light and dark styles included, to meet the demand of 0-dot users.
Comment 4 Bug Janitor Service 2022-05-17 11:34:17 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1599
Comment 5 Bug Janitor Service 2022-06-04 13:36:54 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1802
Comment 6 Fushan Wen 2022-06-06 14:43:45 UTC
Git commit f106e61c5edb3f935117c4b084fe27cff9d97fc2 by Fushan Wen.
Committed on 06/06/2022 at 14:24.
Pushed by fusionfuture into branch 'master'.

wallpapers/image: add dark wallpaper support for KPackage wallpapers

Dark wallpapers are put in contents/images_dark folder. The dark
wallpaper will be used when system color scheme is dark.
FIXED-IN: 5.26

M  +2    -0    wallpapers/image/imagepackage/contents/ui/main.qml
M  +4    -1    wallpapers/image/plugin/finder/imagefinder.cpp
M  +19   -5    wallpapers/image/plugin/finder/packagefinder.cpp
M  +39   -0    wallpapers/image/plugin/imagebackend.cpp
M  +19   -0    wallpapers/image/plugin/imagebackend.h
M  +13   -1    wallpapers/image/plugin/provider/packageimageprovider.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/f106e61c5edb3f935117c4b084fe27cff9d97fc2
Comment 8 Bug Janitor Service 2022-06-07 08:54:15 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1814
Comment 9 Fushan Wen 2022-06-07 12:43:29 UTC
Git commit fa8abc50660c8808280d5df66f5559cd2c824f9c by Fushan Wen.
Committed on 07/06/2022 at 08:53.
Pushed by fusionfuture into branch 'master'.

wallpapers/image: show light&&dark images side by side in previews

M  +66   -18   wallpapers/image/plugin/model/abstractimagelistmodel.cpp
M  +9    -3    wallpapers/image/plugin/model/abstractimagelistmodel.h
M  +2    -2    wallpapers/image/plugin/model/imagelistmodel.cpp
M  +8    -3    wallpapers/image/plugin/model/packagelistmodel.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/fa8abc50660c8808280d5df66f5559cd2c824f9c
Comment 10 Bug Janitor Service 2022-06-07 14:38:50 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1816
Comment 11 Fushan Wen 2022-06-07 15:07:39 UTC
Git commit e7e70ec5251ce6dbaff60cfc66694f624d58e3ef by Fushan Wen.
Committed on 07/06/2022 at 14:46.
Pushed by fusionfuture into branch 'master'.

wallpapers/image: update dark wallpaper test

A KPackage wallpaper containing a dark variant is added to the test
data.

M  +3    -2    wallpapers/image/plugin/autotests/commontestdata.h
M  +13   -7    wallpapers/image/plugin/autotests/test_imageproxymodel.cpp
M  +14   -5    wallpapers/image/plugin/autotests/test_packagefinder.cpp
M  +33   -7    wallpapers/image/plugin/autotests/test_packagelistmodel.cpp
M  +8    -5    wallpapers/image/plugin/autotests/test_slidemodel.cpp
A  +-    --    wallpapers/image/plugin/autotests/testdata/default/FEATURE207976-dark-wallpaper/contents/images/1024x768.png
A  +1    -0    wallpapers/image/plugin/autotests/testdata/default/FEATURE207976-dark-wallpaper/contents/images_dark/1920x1080.jpg
A  +7    -0    wallpapers/image/plugin/autotests/testdata/default/FEATURE207976-dark-wallpaper/metadata.desktop

https://invent.kde.org/plasma/plasma-workspace/commit/e7e70ec5251ce6dbaff60cfc66694f624d58e3ef
Comment 12 Bug Janitor Service 2022-06-12 12:48:03 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1830
Comment 13 Fushan Wen 2022-06-14 01:22:58 UTC
Git commit 4a95a33b62d9c909f8c06fa7e559aebaea9bf1be by Fushan Wen.
Committed on 14/06/2022 at 01:03.
Pushed by fusionfuture into branch 'master'.

wallpapers/image: instantly apply wallpaper on color scheme changed

M  +9    -5    wallpapers/image/imagepackage/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-workspace/commit/4a95a33b62d9c909f8c06fa7e559aebaea9bf1be